com.sun.jna.platform.mac

## Class CoreFoundation.CFTypeID

- java.lang.Object
- - java.lang.Number
  - - com.sun.jna.IntegerType
    - - com.sun.jna.NativeLong
      - - com.sun.jna.platform.mac.CoreFoundation.CFTypeID

- All Implemented Interfaces:
    NativeMapped, java.io.Serializable
  Enclosing interface:
    CoreFoundation

      public static class CoreFoundation.CFTypeID
      extends NativeLong

  A type for unique, constant integer values that identify particular Core Foundation opaque types.

  Because the value for a type ID can change from release to release, your code should not rely on stored or hard-coded type IDs nor should it hard-code any observed properties of a type ID (such as, for example, it being a small integer).

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.sun.jna.NativeLong

      `SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CFTypeID()`
    `CFTypeID(long value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.jna.IntegerType

      `compare, compare, compare, doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative`

    - ### Methods inherited from class java.lang.Number

      `byteValue, shortValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CFTypeID

          public CFTypeID()

    - #### CFTypeID

          public CFTypeID(long value)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `IntegerType`

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.